Summary:	High quality television application
Name:		tvtime
Version:	1.0.8
Release:	1
Group:		Video
License:	GPLv2+ and LGPLv2+
Url:		http://tvtime.net/
Source0:	http://prdownloads.sourceforge.net/tvtime/%{name}-%{version}.tar.gz
Source1:	tvtime_ru.gmo.tar.gz
Patch0:		tvtime-1.0.6-desktop.patch
Patch1:		tvtime-1.0.6-savematte.patch
BuildRequires:	desktop-file-utils
BuildRequires:	stdc++-static-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xxf86vm)

%description
Tvtime is a high quality television application for use with video capture
cards. It processes the input from a capture card and displays it on a
computer monitor or projector. Unlike other television applications, Tvtime
focuses on high visual quality making it ideal for videophiles.

Tvtime supports:

 - Deinterlaced output at full interlaced rate of 59.94 frames per second for
   NTSC source, or 50 frames per second for PAL sources. This gives smoothness
   of motion and high visual quality.

 - Multiple deinterlacing algorithms for finding the optimal mode for your
   video content and available processor speed.

 - 16:9 aspect ratio mode for the highest available resolution when processing
   input from an external DVD player or digital satellite receiver.

 - A super-slick on-screen-display for the complete television experience,
   with a featureful menu system.

 - 2-3 Pulldown detection for optimal quality viewing of film content from
   NTSC sources.

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold docs/html
# %doc %{_docdir}/%{name}/html
%{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
# freedesktop stuff
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .savematte

pushd po
tar -xvzf %{SOURCE1}
popd

%build
%configure2_5x
%make

%install
%makeinstall ROOT=%{buildroot}

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="TV" \
    --add-category="Video" \
    --add-category="X-MandrivaLinux-CrossDesktop" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}%{_docdir}/%{name}

%find_lang %{name}


%changelog

* Thu Jan 28 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.8-1
- (814c9cc) Try to require stdc++-static-devel to build


